
import com.imsl.chart.*;
import java.awt.Color;

public class SampleSemiLog extends JFrameChart {

    public SampleSemiLog() {
        Chart chart = getChart();
        AxisXY axis = new AxisXY(chart);
        axis.getAxisY().setTransform(AxisXY.TRANSFORM_LOG);
        axis.getAxisY().setDensity(9);
        axis.getAxisY().setTextFormat(new java.text.DecimalFormat("0.E0"));

        double y[] = {4e2, 6e6, 2e3, 1e4, 8e1};
        Data data = new Data(axis, y);
        data.setDataType(Data.DATA_TYPE_LINE | Data.DATA_TYPE_MARKER);
        data.setLineColor(Color.blue);
        data.setMarkerType(Data.MARKER_TYPE_FILLED_SQUARE);
    }

    public static void main(String argv[]) {
        new SampleSemiLog().setVisible(true);
    }
}
